Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::node_interface_compare Struct Reference
[Nodes]

List of all members.

## Detailed Description

Function object to compare two node_interfaces based on their id.

node_interface_compare provides a StrictWeakOrdering for node_interfaces and ensures that exposedField definitions appropriately encroach on the namespace of eventIn and eventOut definitions. That is, per 4.7 of the VRML97 spec: "An exposedField named zzz can be referred to as 'set_zzz' and treated as an eventIn, and can be referred to as 'zzz_changed' and treated as an eventOut."

node_interface_compare is the comparator used by node_interface_set.

Model of
  AdaptableBinaryPredicate, StrictWeakOrdering, DefaultConstructible

See also:
  node_interface_set

## Public Member Functions

result_type | operator() (const first_argument_type &lhs, const second_argument_type &rhs) const